Subject: Re: [PATCH 2/4] Documentation: Add diff.<driver>.* to config

From: Ramkumar Ramachandra <[email-masked]>
Date: Thu, 7 Apr 2011 08:33:43 +0530

Hi Junio,

Junio C Hamano writes:
> Ramkumar Ramachandra <[email-masked]> writes:
> 
> > +diff.<driver>.command::
> > +	The custom diff driver command.  See linkgit:gitattributes[5]
> > +	for details.
> 
> This is about "custom", but I thought it was pointed out that ...
> 
> > +diff.<driver>.xfuncname::
> > +	The regular expression that the custom diff driver should use
> > +	to recognize the hunk header.  A built-in pattern may also be
> > +	used.  See linkgit:gitattributes[5] for details.
> > +
> > +diff.<driver>.binary::
> > +	Set this option to true to make the custom diff driver treat
> > +	files as binary.  See linkgit:gitattributes[5] for details.
> 
> ... these two don't have much to do with "custom".  You seem to have
> dropped "custom" from the remaining three, and I think their description
> without "custom" makes more sense.
> 
> It is not a problem for me to just amend these two and lose "custom" when
> I apply this patch (if there is no other glitch in it, of course), but I

Right.  I was a little confused about these two, but yeah- I see now
that dependence on `diff.<driver>.command` is equivalent to saying
that an option applies to a "custom" diff driver.  Please amend to
lose the "custom".

Thanks.

-- Ram